local battle_roundlimit = CV_RegisterVar({
	name = "battle_roundlimit",
	defaultvalue = "0",
	flags = CV_NETVAR,
	possiblevalue = CV_Unsigned
})

local RoundCount = 0
local Ended = false
local racemaplist = {}

addHook("MapLoad", function()
	if G_BattleGametype() then
		Ended = false
		if battle_roundlimit.value > 0 then
			if (battle_roundlimit.value - RoundCount) <= 1 then
				chatprint("\131* Last round of Battle", true)
			else
				chatprint("\131* ".. (battle_roundlimit.value - RoundCount) .." rounds of Battle left", true)
			end
			RoundCount = $+1
		end

	else
		if RoundCount ~= 0 then
			RoundCount = 0
		end
	end
end)

addHook("VoteThinker", function()
	if not Ended and G_BattleGametype() then
		Ended = true
		if battle_roundlimit.value and RoundCount >= battle_roundlimit.value then
			RoundCount = 0

			for i= 1,#mapheaderinfo
				if not mapheaderinfo[i] then
					continue
				end

				if mapheaderinfo[i].typeoflevel & TOL_RACE then
					if mapheaderinfo[i].menuflags & LF2_HIDEINMENU then
						continue
					else
						table.insert(racemaplist, G_BuildMapName(i))
					end
				end
			end
			
			if #racemaplist > 0 then
				COM_BufInsertText(server, "map "..racemaplist[P_RandomRange(1, #racemaplist)].." -gametype race")
			end

			racemaplist = {}

		end
	end
end)
